
$(document).ready(function() {
    $("#agree_license_btn").click(function(){
        if ($("#agree_license_chk").attr("checked") == true) {
            window.location.href="./?step=2";
        }
        else{
            showTips($("#agree_result"), 'warning', 'You must agree to this End User License Agreement before next step.');
        }
    });

    $('#saveForm').submit(function() {
        var options = {
            target: '#install_result',
            beforeSubmit : validateForm,
            success: function(responseText) {
                if(responseText.indexOf('Error:') == -1){
                    showTips($("#install_result"), 'success');
                    setTimeout(function() {
                        window.location.href="./?step=4";
                    }, 1500);
                }
                else{
                    showTips($("#install_result"), 'error');
                }
            }
        };
        $(this).ajaxSubmit(options);
        return false;
    });
});

function validateForm(formData, jqForm, options) {
    var form = jqForm[0];
    $('.kode_error').remove();
    if (!form.admin_username.value) {
        $(form.admin_username).parent().append('<br /><span class="kode_error">Admin username field is required.</span>');
    }
    if(!form.admin_password.value){
        $(form.admin_password).parent().append('<br /><span class="kode_error">Admin password field is required.</span>');
    }

    if(!form.email.value){
        $(form.email).parent().append('<br /><span class="kode_error">Admin Email field is required.</span>');
    }

    if($('.kode_error').size()!=0)
        return false;
}

function connectMySQL(){
    var params = {};
    params["mysql_host"] = $("#mysql_host").val();
    params["mysql_port"] = $("#mysql_port").val();
    params["mysql_db_name"] = $("#mysql_db_name").val();
    params["mysql_username"] = $("#mysql_username").val();
    params["mysql_password"] = $("#mysql_password").val();
    params["action"] = "connectMySQL";
    
    $.ajax({
        url: 'operations.php',
        type: 'POST',
        data: params,
        timeout: 2000,
        success: function(data){
            if(data.indexOf('Error:') == -1){
                showTips($("#mysql_result"), 'success', data);
            }
            else{
                showTips($("#mysql_result"), 'error', data);
            }
        }
    });
}

function connectSQLite(){
    var params = {};
    params["sqlite_db_name"] = $("#sqlite_db_name").val();
    params["action"] = "connectSQLite";

    $.ajax({
        url: 'operations.php',
        type: 'POST',
        data: params,
        timeout: 2000,
        success: function(data){
            if(data.indexOf('Error:') == -1){
                showTips($("#sqlite_result"), 'success', data);
            }
            else{
                showTips($("#sqlite_result"), 'error', data);
            }
        }
    });
}

function showTips( tipobj, status, data ){
    $(tipobj).removeClass();
    if(status =='success'){
        $(tipobj).addClass('kode_box kode_box-success').slideDown('fast');
    }
    else if(status =='error'){
        $(tipobj).addClass('kode_box kode_box-error').slideDown('fast');
    }
    else if(status =='warning'){
        $(tipobj).addClass('kode_box kode_box-warning').slideDown('fast');
    }
    else{
        $(tipobj).addClass('kode_box kode_box-info').slideDown('fast');
    }

    if(data != '')
        $(tipobj).html(data);

    setTimeout( function(){
        $(tipobj).slideUp();
    }, ( 4000 ) );
}